Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc5575bis-00.txt

From: "[email-masked]" <[email-masked]>
Date: Fri, 3 Mar 2017 17:43:50 +0800

Hi,

I am reading this draft. I noticed that there are 7 actions listed in table 2. But Only 5 of them are illustrated in section 7. Actions for type 0x8108 and 0x8208 are not explained in this section. No references are given here. May I know the reason? Thanks.

Best Regards,

[email-masked]
 
From: [email-masked]
Date: 2017-02-23 19:23
To: [email-masked]
CC: [email-masked]
Subject: [Idr] I-D Action: draft-ietf-idr-rfc5575bis-00.txt
 
A New Internet-Draft is available from the on-line Internet-Drafts directories.
This draft is a work item of the Inter-Domain Routing of the IETF.
 
        Title           : Dissemination of Flow Specification Rules
        Authors         : Susan Hares
                          Robert Raszuk
                          Danny McPherson
                          Christoph Loibl
                          Martin Bacher
Filename        : draft-ietf-idr-rfc5575bis-00.txt
Pages           : 30
Date            : 2017-02-22
 
Abstract:
   This document updates RFC5575 which defines a Border Gateway Protocol
   Network Layer Reachability Information (BGP NLRI) encoding format
   that can be used to distribute traffic flow specifications.  This
   allows the routing system to propagate information regarding more
   specific components of the traffic aggregate defined by an IP
   destination prefix.  This draft specifies IPv4 traffic flow
   specifications via a BGP NLRI which carries traffic flow
   specification filter, and an Extended community value which encodes
   actions a routing system can take if the packet matches the traffic
   flow filters.  The flow filters and the actions are processed in a
   fixed order.  Other drafts specify IPv6, MPLS addresses, L2VPN
   addresses, and NV03 encapsulation of IP addresses.
 
   This document updates RFC5575 to correct unclear specifications in
   the flow filters and to provide rules for actions which interfere
   (e.g. redirection of traffic and flow filtering).
 
   Applications which use the bgp flow specification are: 1) application
   which automate of inter-domain coordination of traffic filtering,
   such as what is required in order to mitigate (distributed) denial-
   of-service attacks; 2) application which control traffic filtering in
   the context of a BGP/MPLS VPN service, and 3) applications with
   centralized control of traffic in a SDN or NFV context.  Some of
   deployments of these three applications can be handled by the strict
   ordering of the BGP NLRI traffic flow filters, and the strict actions
   encoded in the Extended Community Flow Specification actions.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-idr-rfc5575bis/
 
There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.
 
Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/
 
_______________________________________________
Idr mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/idr

---

From: Christoph Loibl <[email-masked]>
Date: Fri, 3 Mar 2017 11:23:12 +0100

Hi,

There are 5 basic actions (extended community sub-type 6,7,8,9,TBD = traffic-rate-bytes, traffic-action, redirect, traffic-marking, traffic-rate-packets). However for the redirect action there exist 3 different route-target encoding formats (extended community sub-type 0x08 + type 0x80, 0x81 and 0x82):

| 0x8008 | redirect AS-2byte    | 2-octet AS, 4-octet value         |
| 0x8108 | redirect IPv4        | 4-octet IPv4 addres, 2-octet      |
|        |                      | value                             |
| 0x8208 | redirect AS-4byte    | 4-octet AS, 2-octet value         |

These three encoding formats are explained in our draft section 7.4 (IP Redirect sub-type 0x08) and basically use the same encoding as described in RFC 4360 and RFC 5668.

Do you think that additional clarification or a cross-reference from the table to this secion is needed for each action?

Cheers,

Christoph

> On 3 Mar 2017, at 10:43, [email-masked] wrote:
> 
> Hi,
> 
> [email-masked] <mailto:[email-masked]>
> 
> From: [email-masked] <mailto:[email-masked]>
> Date: 2017-02-23 19:23
> To: [email-masked] <mailto:[email-masked]>
> CC: [email-masked] <mailto:[email-masked]>
> https://datatracker.ietf.org/doc/draft-ietf-idr-rfc5575bis/ <https://datatracker.ietf.org/doc/draft-ietf-idr-rfc5575bis/>
> 
> https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-00 <https://tools.ietf.org/html/draft-ietf-idr-rfc5575bis-00>
> 
> 
> until the htmlized version and diff are available at tools.ietf.org <http://tools.ietf.org/>.
> 
> ftp://ftp.ietf.org/internet-drafts/ <ftp://ftp.ietf.org/internet-drafts/>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/idr <https://www.ietf.org/mailman/listinfo/idr>
> 
> [email-masked] <mailto:[email-masked]>
> https://www.ietf.org/mailman/listinfo/idr <https://www.ietf.org/mailman/listinfo/idr>
--
Christoph Loibl
[email-masked] <mailto:[email-masked]> | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at <http://www.nextlayer.at/>

---

From: "[email-masked]" <[email-masked]>
Date: Sat, 4 Mar 2017 22:01:20 +0800

Hi,

Since the sub sections of section 7 in this draft are organised according to the sub type of the extended community, I think the following table format for table 2 is better and easier to read. Maybe it can be further improved. Cross references shown in the table are also acceptable. You can also consider changing the title of section 7.4 from IP redirect to VRF redirect, because the traffic is not redirected to an IP address but a VRF. Redirect to IP is being discussed in a seperate draft.

   +--------+----------------------+-----------------------------------+
   | type   | extended community   | encoding                          |
   +--------+----------------------+-----------------------------------+
   | 0x8006 | traffic-rate-bytes   | 2-byte ASN, 4-byte float          |
   | 0x8007 | traffic-action       | bitmask                           |
   | 0x8008 | VRF-redirect         | 2-octet AS, 4-octet value         |
   | 0x8108 | VRF-redirect         | 4-octet IPv4 addres, 2-octet      |
   |        |                      | value                             |
   | 0x8208 | VRF-redirect         | 4-octet AS, 2-octet value         |
   | 0x8009 | traffic-marking      | DSCP value                        |
   | TBD    | traffic-rate-packets | 2-byte ASN, 4-byte float          |
   +--------+----------------------+-----------------------------------+

Best Regards,

From: Christoph Loibl
Date: 2017-03-03 18:23
To: [email-masked]
CC: idr
Subject: Re: [Idr] I-D Action: draft-ietf-idr-rfc5575bis-00.txt
Hi, 

Cheers, 

Christoph

Hi,

Best Regards,

 

Abstract:

 

 

-- 
Christoph Loibl
[email-masked] | CL8-RIPE | PGP-Key-ID: 0x4B2C0055 | http://www.nextlayer.at

---

From: Christoph Loibl <[email-masked]>
Date: Sat, 4 Mar 2017 20:08:17 +0100

Hi,

Your comment makes sense to me. I collected a few other minor changes over the last months (that I received as feedback) and added your comment to this list. In about two weeks I will be ready to upload a new version of our draft, after discussing that with the other authors.

Thanks for your feedback!

Cheers

Christoph

> On 4 Mar 2017, at 15:01, [email-masked] wrote:
> 
> Hi,
> 
> From: Christoph Loibl <mailto:[email-masked]>
> Date: 2017-03-03 18:23
> To: [email-masked] <mailto:[email-masked]>
> CC: idr <mailto:[email-masked]>
>> On 3 Mar 2017, at 10:43, [email-masked] <mailto:[email-masked]> wrote:
>> 
>> Hi,
>>